<app-loading *ngIf="isLoading"></app-loading>
<div class="form-setup-assessment">
  <form #formSearch="ngForm">
    <div nz-row [nzGutter]="[30, 10]" class="pb-10">
      <div nz-col nzSpan="6">
        <div class="mb-10">
          <label class="text-bold">
            {{'targerManager.targetAssessmentResults.label.table.employeeCode' | translate}}
          </label>
        </div>
        <span>{{ currentUser?.empCode }}</span>
      </div>
      <div nz-col nzSpan="6">
        <div class="mb-10">
          <label class="text-bold">
            {{'targerManager.targetAssessmentResults.label.table.fullName' | translate}}
          </label>
        </div>
        <span>{{ currentUser?.fullName }}</span>
      </div>
      <div nz-col nzSpan="6">
        <div class="mb-10">
          <label class="text-bold">
            {{'targerManager.targetAssessmentResults.label.table.position' | translate}}
          </label>
        </div>
        <span>{{ dataObject?.posName }}</span>
      </div>
      <div nz-col nzSpan="6">
        <div class="mb-10">
          <label class="text-bold">
            {{'targerManager.targetAssessmentResults.label.table.flagStatus' | translate}}
          </label>
        </div>
        <span *ngIf="dataObject?.flagStatus === listStatus.HOAN_TAT_PHE_DUYET_GIAO">
                    {{'targerManager.targetAssessmentResults.label.table.completedApproveAssign' | translate}}
                </span>
        <span *ngIf="dataObject?.flagStatus === listStatus.CHUA_GUI_XAC_NHAN_KET_QUA">
                    {{'targerManager.targetAssessmentResults.label.table.notYetConfirmResult' | translate}}
                </span>
        <span *ngIf="dataObject?.flagStatus === listStatus.CHO_XAC_NHAN_KET_QUA">
                    {{'targerManager.targetAssessmentResults.label.table.waitingConfirmResult' | translate}}
                </span>
        <span *ngIf="dataObject?.flagStatus === listStatus.CHO_PHE_DUYET_KET_QUA">
                    {{'targerManager.targetAssessmentResults.label.table.waitingApproveResult' | translate}}
                </span>
        <span *ngIf="dataObject?.flagStatus === listStatus.HOAN_TAT_PHE_DUYET_KET_QUA">
                    {{'targerManager.targetAssessmentResults.label.table.completedApproveResult' | translate}}
                </span>
      </div>
    </div>
    <div nz-row [nzGutter]="[30, 10]" class="pb-10">
      <div nz-col nzSpan="6">
        <div class="mb-10">
          <label class="text-bold">
            CBQL trực tiếp
          </label>
        </div>
        <span>{{ dataObject?.directEmp }}</span>
      </div>
      <div nz-col nzSpan="6">
        <div class="mb-10">
          <label class="text-bold">
            Chức danh
          </label>
        </div>
        <span>{{ dataObject?.directJobName }}</span>
      </div>
      <div nz-col nzSpan="6">
        <div class="mb-10">
          <label class="text-bold">
            {{'targerManager.targetAssessmentResults.label.table.period' | translate}}
          </label>
        </div>
        <span>{{ dataObject?.periodName }}</span>
      </div>
      <div nz-col nzSpan="6">
        <div class="mb-10">
          <label class="text-bold">
            Kỳ đánh giá năm
          </label>
        </div>
        <span>{{ dataObject?.periodYear }}</span>
      </div>
    </div>
    <div nz-row [nzGutter]="[30, 10]" class="pb-10">
      <div nz-col nzSpan="6" *ngIf="dataObject?.indirectEmp">
        <div class="mb-10">
          <label class="text-bold">
            CBQL gián tiếp
          </label>
        </div>
        <span>{{ dataObject?.indirectEmp }}</span>
      </div>
      <div nz-col nzSpan="6" *ngIf="dataObject?.indirectJobName">
        <div class="mb-10">
          <label class="text-bold">
            Chức danh
          </label>
        </div>
        <span>{{ dataObject?.indirectJobName }}</span>
      </div>
    </div>
  </form>
</div>

<div class="data-table-assessment" oncontextmenu="return false;">
  <div class="ant-table-content">
    <nz-table #basicTable [nzData]="dataSourceTemp" [nzPageSize]="limit" nzSize='small'
              [nzScroll]="dataSourceTemp.length > 7 ? { y: '500px' } : {}" [nzShowPagination]="false" nzTableLayout="fixed">
      <thead>
      <tr>
        <th id='index' class="text-center" nzWidth="80px">
          {{'targerManager.targetAssessmentResults.label.table.stt' | translate}}
        </th>
        <th id='assign' class="text-center">
          {{'targerManager.targetAssessmentResults.label.table.assign' | translate}}
        </th>
        <th id='scoreCardName' class="text-center">
          {{'targerManager.targetAssessmentResults.label.table.scoreCardName' | translate}}
        </th>
        <th id='targetName' class="text-center" nzWidth="300px">
          {{'targerManager.targetAssessmentResults.label.table.targetName' | translate}}
        </th>
        <th id='density' class="text-center">
          {{'targerManager.targetAssessmentResults.label.table.density' | translate}} (%)
        </th>
        <th id='plan' class="text-center">
          {{'targerManager.targetAssessmentResults.label.table.plan' | translate}}
        </th>
        <th id='results' class="text-center">
          {{'targerManager.targetAssessmentResults.label.table.results' | translate}}
        </th>
        <th id='score' class="text-center">
          {{'targerManager.targetAssessmentResults.label.table.score' | translate}}
        </th>
        <th id='description' class="text-center">
          {{'targerManager.targetAssessmentResults.label.table.description' | translate}}
        </th>
      </tr>
      </thead>
      <tbody>
      <ng-container *ngFor="let data of basicTable.data ; let i = index;">
        <ng-container *ngIf="data.type !== 'sum'">
          <tr class="tr-for-class">
            <td>{{ data.no }}</td>
            <td>{{ data.nameAssign }}</td>
            <td>{{ data.scoreCardName }}</td>
            <td>
              <ul *ngIf="!data.isParent">
                <li> {{ data.nameTarget }}</li>
              </ul>
              <ng-container *ngIf="data.isParent">
                {{ data.nameTarget }}
              </ng-container>
            </td>
            <td>{{ data.scale*100 }}</td>
            <td>{{ data.estimateNum }}</td>
            <td>{{ data.resultNum }}</td>
            <td>{{ data.point | formatScore }}</td>
            <td>{{ data.description }}</td>
          </tr>
        </ng-container>
        <ng-container *ngIf="data.type === 'sum'">
          <tr class="tr-for-class text-bold">
            <td></td>
            <td></td>
            <td></td>
            <td>
              {{data.assignedType === "QL" ? "Điểm K (" + data?.scaleNumSot*100 + '%)'  : "Điểm P (" + data?.scaleNumSot *100 + '%)' }}
            </td>
            <td></td>
            <td></td>
            <td></td>
            <td>{{ data?.point | formatScore }}</td>
            <td></td>
          </tr>
        </ng-container>
      </ng-container>
      </tbody>
      <tfoot>
      <tr class="text-bold">
        <td></td>
        <td></td>
        <td>
          Tổng điểm X ({{ this.SetOfIndicatorHT?.scaleNumSot*100 + '% P + ' + this.SetOfIndicatorQL?.scaleNumSot*100 + '% K'}})
        </td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td>{{ avgTotalPoint | formatScore }}</td>
        <td></td>
      </tr>
      </tfoot>
    </nz-table>
  </div>
</div>

<ng-container *ngIf="flagStatus === listStatus.CHO_XAC_NHAN_KET_QUA">
  <form #formReject="ngForm" nz-form>
    <ng-container *ngIf="formReject">
      <div class="flex-center">
        <div nz-col nzXs="12" nzLg="12">
          <mb-input-text name="reason" required noAllowSpace maxlength="250" [mbIsTextAre]="true"
                         [mbType]="isSubmitted && (formReject.controls['reason']?.errors || formReject.errors?.noAllowSpace) ? 'error' : 'default'"
                         [mbShowError]="isSubmitted && (formReject.controls['reason']?.errors || formReject.errors?.noAllowSpace) !== null"
                         [mbErrors]="formReject.controls['reason']?.errors" [mbErrorDefs]="[
                        { errorName: 'maxlength', errorDescription: 'goaManagement.validate.maxLength' | translate: {'numberLength': '250' }},
                        { errorName: 'required', errorDescription: 'goaManagement.validate.required' | translate: {'param': 'targerManager.targetAssessmentResults.label.table.reasonReject' | translate }},
                        { errorName: 'noAllowSpace', errorDescription: 'goaManagement.validate.required' | translate: {'param': 'targerManager.targetAssessmentResults.label.table.reasonReject' | translate }},
                        { errorName: 'reason', errorDescription: 'goaManagement.validate.code' | translate }]"
                         mbPlaceholderText="{{'targerManager.targetAssessmentResults.label.table.inputReasonReject' | translate}}"
                         mbLabelText="{{'targerManager.targetAssessmentResults.label.table.reasonReject' | translate}} <span class='label__required'>*</span>"
                         [(ngModel)]="dataReject.reason">
          </mb-input-text>
        </div>
      </div>
      <div class="flex-center">
        <mb-button mbButtonType="BORDER" mbButtonSize="VERY_LARGE" mbButtonAvailableStyle="PRIMARY"
                   mbButtonText="{{'Xác nhận' | translate}}" (click)="updateStatus()" [customStyle]="true">
        </mb-button>
        <mb-button mbButtonType="BORDER" mbButtonSize="VERY_LARGE" mbButtonAvailableStyle="PRIMARY"
                   mbButtonText="{{'Từ chối' | translate}}" (click)="reject()" [customStyle]="true">
        </mb-button>
      </div>
    </ng-container>
  </form>
</ng-container>
